#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
NAME=$1
PEM=$2
if [[ -z "$NAME" ]]; then
   >&2 echo certificate name required
   exit 1
fi
if [[ -z "$PEM" ]]; then
   >&2 echo PEM file name required
   exit 2
fi
JSON=$$.$NAME.json
DATA=$(cat "$PEM" | base64 -w0)
./jq -n --arg a "$DATA" --arg n "$NAME" '. + {data: $a, name: $n}' > "$JSON"
bash "${MYPATH}/create.sh" "$JSON"
